Bug 1924387 - [ja_JP][zh_CN] Incorrect warning message for deleting namespace on Delete Pod dialog box.
Summary: [ja_JP][zh_CN] Incorrect warning message for deleting namespace on Delete Pod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.7.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-03 04:02 UTC by Lijun Li
Modified: 2021-02-24 15:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:58:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
[ja_JP][zh_CN] Incorrect warning message for deleting namespace on Delete Pod dialog box (130.48 KB, image/png)
2021-02-03 04:03 UTC, Lijun Li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8070 0 None closed Bug 1924387: Fix malformed ja/zh modal delete message 2021-02-12 14:54:58 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:58:57 UTC

Description Lijun Li 2021-02-03 04:02:19 UTC
Description of problem:
[ja_JP][zh_CN] Incorrect warning message for deleting namespace on Delete Pod dialog box.

Version-Release number of selected component (if applicable):
ocp 4.7.0-0.nightly-2021-02-02-164630

How reproducible:
100%

Steps to Reproduce:
1. Login OCP management console with latest OCP 4.7 build.
2. Click Workloads -> Pods.
3. Click on any Pod from the list.
4. Click Actions -> Delete Pod.

Actual results:
[ja_JP][zh_CN] Incorrect warning message for deleting namespace on Delete Pod dialog box.

Expected results:
The warning message for deleting pod should be the same as en_US like this:
Are you sure you want to delete "pod name" in namespace "namespace name"?

Additional info:
Please see attached screen-shot.

Comment 1 Lijun Li 2021-02-03 04:03:31 UTC
Created attachment 1754557 [details]
[ja_JP][zh_CN] Incorrect warning message for deleting namespace on Delete Pod dialog box

Comment 2 Samuel Padgett 2021-02-05 15:34:43 UTC
This looks like a mistake in the translated files we got back. The <3> and </3> tag placeholders are out of order. <3> must come before </3> as in an HTML document. See

https://github.com/rebeccaalpert/console/blob/166bdd3999582d1746f4a97f40b6c381fc2cfa19/frontend/public/locales/ja/modal.json#L28

Comment 3 Samuel Padgett 2021-02-05 15:38:12 UTC
The span in the message is really not needed though

Comment 5 Yanping Zhang 2021-02-07 03:31:59 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-02-06-084550.
Check delete pod modal in Chinese/Japan language, the warning message is translated correctly now.
The bug is fixed.

Comment 9 errata-xmlrpc 2021-02-24 15:58:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.